import asyncio
import logging

import aiohttp
# from zwave_js_server.client import Client
# from zwave_js_server.model.node import Node
# from zwave_js_server.util.lock import get_code_slots, get_usercode, get_usercode_from_node
import hassapi


class LockManager(hassapi.Hass):
    def initialize(self):
        pass

    @property
    def one_time_use_slots(self) -> list[int]:
        """List of slots to be treated as one time use codes"""
        return self.get("one_time_use_slots", [])

    @property
    def slot_helper_id(self) -> str:
        return self.args["slot_helper_id"]

    @property
    def new_code_helper_id(self) -> str:
        return self.args["new_code_helper_id"]
